Subject: Re: [PATCH net-next v5 06/13] dt-bindings: net: dsa: add bindings for Renesas RZ/N1 Advanced 5 port switch

From: Clément Léger <[email-masked]>
Date: Fri, 20 May 2022 10:16:34 +0200

Le Fri, 20 May 2022 10:01:32 +0200,
Geert Uytterhoeven <[email-masked]> a écrit :

> Hi Clément,
> 
> On Fri, May 20, 2022 at 9:58 AM Clément Léger <[email-masked]> wrote:
> > Le Fri, 20 May 2022 09:13:23 +0200,
> > Geert Uytterhoeven <[email-masked]> a écrit :  
> > > On Thu, May 19, 2022 at 5:32 PM Clément Léger <[email-masked]> wrote:  
> > > > Add bindings for Renesas RZ/N1 Advanced 5 port switch. This switch is
> > > > present on Renesas RZ/N1 SoC and was probably provided by MoreThanIP.
> > > > This company does not exists anymore and has been bought by Synopsys.
> > > > Since this IP can't be find anymore in the Synospsy portfolio, lets use
> > > > Renesas as the vendor compatible for this IP.
> > > >
> > > > Signed-off-by: Clément Léger <[email-masked]>
> > > > --- /dev/null
> > > > +++ b/Documentation/devicetree/bindings/net/dsa/renesas,rzn1-a5psw.yaml  
> 
> > > Missing "power-domains" property.  
> >
> > I do not use pm_runtime* in the switch driver. I should probably do that
> > right ?  
> 
> For now you don't have to.  But I think it is a good idea, and it helps if the
> IP block is ever reused in an SoC with real power areas.

Ok, sounds good, I'll probably also set that as required to be
compatible with these potentials modifications without breaking the
bindings.

Thanks,

> 
> Gr{oetje,eeting}s,
> 
>                         Geert
> 
> --
> Geert Uytterhoeven -- There's lots of Linux beyond ia32 -- [email-masked]
> 
> In personal conversations with technical people, I call myself a hacker. But
> when I'm talking to journalists I just say "programmer" or something like that.
>                                 -- Linus Torvalds

-- 
Clément Léger,
Embedded Linux and Kernel engineer at Bootlin
https://bootlin.com